<?php

namespace App\Entities\RespostaFormulario;

use App\Utils\Entity;

class RespostaFormulario extends Entity {
	protected $id;
	protected $id_pergunta;
	protected $id_consulta;

	public static function builder(): RespostaFormularioBuilder {

		return new RespostaFormularioBuilder();

	}

	/**
	 *
	 * @return int
	 */
	public function getId(): int {

		return $this->id;

	}

	/**
	 *
	 * @return int
	 */
	public function getIdPergunta(): int {

		return $this->id_pergunta;

	}

	/**
	 *
	 * @return int
	 */
	public function getIdConsulta(): int {

		return $this->id_consulta;

	}

	/**
	 *
	 * @param int $id
	 */
	public function setId(int $id): void {

		$this->id = $id;

	}

	/**
	 *
	 * @param int $id_pergunta
	 */
	public function setIdPERGUNTA(int $id_pergunta): void {

		$this->id_pergunta = $id_pergunta;

	}

	/**
	 *
	 * @param int $id_consulta
	 */
	public function setIdCONSULTA(int $id_consulta): void {

		$this->id_consulta = $id_consulta;

	}

}